package com.tzld.longarticle.recommend.server.service;

import com.ctrip.framework.apollo.spring.annotation.ApolloJsonValue;
import com.google.common.collect.BiMap;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author dyp
 */
@Component
@Slf4j
public class AccountContentPoolConfigService {

    @ApolloJsonValue("${accountContentPoolConfig:{}}")
    private Map<String, String[]> accountContentPoolMap;

    @ApolloJsonValue("${contentPoolLevelConfig:{}}")
    private BiMap<String, Integer> contentPoolLevelMap;


    public String[] getContentPools(String accountName) {
        if (accountContentPoolMap.containsKey(accountName)) {
            return accountContentPoolMap.get(accountName);
        }
        return accountContentPoolMap.get("default");
    }

    public String getContentPoolByLevel(int level) {
        return contentPoolLevelMap.inverse().getOrDefault(level, "");
    }

    public Integer getLevelByContentPool(String contentPool) {
        return contentPoolLevelMap.get(contentPool);
    }
}
